Name:		unarj
Summary:	An uncompressor for .arj format archive files
Version:	2.65
Release:	%mkrel 4
Group:		Archiving/Compression
License:	Freeware-like
#url is not available
URL:		http://freshmeat.net/projects/unarj
#source is not available
Source:		http://mysite.verizon.net/vze3nqpn/files/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-formatfix.patch

%description
The UNARJ program is used to uncompress .arj format archives. The .arj
format archive was mostly used on DOS machines.

Install the unarj package if you need to uncompress .arj format archives.

This package is in tainted because of its license.

%prep
%setup -q
%patch0 -p1
# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' *.txt

%build
gcc %{optflags} -DUNIX -c *.c
gcc -o unarj *.o

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

%files
%doc *.txt
%{_bindir}/%{name}


%changelog
* Wed Feb 24 2016 daviddavid <daviddavid> 2.65-4.mga6
+ Revision: 977911
- rebuild for Mageia 6

* Wed Oct 15 2014 umeabot <umeabot> 2.65-3.mga5.tainted
+ Revision: 742070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.65-2.mga5.tainted
+ Revision: 690040
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 alexl <alexl> 2.65-1.mga5.tainted
+ Revision: 639702
- imported package unarj

